using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls.UI;
using System.Drawing;
using Telerik.WinControls;

namespace RadGridViewRightClick
{
    public class CustomGridView : RadGridView
    {
        protected override void OnMouseDown(System.Windows.Forms.MouseEventArgs e)
        {
            RadElement obj = this.ElementTree.GetElementAtPoint(new Point(e.X, e.Y));

            if (e.Button == System.Windows.Forms.MouseButtons.Right)
            {
                if (!(obj is GridTableBodyElement ||
                      obj is GridGroupHeaderList ||
                      obj is ScrollBarButton ||
                      obj is ScrollBarThumb ||
                      obj is RadScrollBarElement ||
                      obj is GridTableElement))
                {
                    base.OnMouseDown(e);
                }
            }
            else
            {
                base.OnMouseDown(e);
            }
        }

        public override string ThemeClassName
        {
            get
            {
                return typeof(RadGridView).FullName;
            }
        }
    }
}
